export interface TagFormatDefinition {}

interface TagCategoryDefinitions {
  [key: string]: TagFormatDefinition;
}

export enum TagType {
  ROUTE = 'route',
  POI = 'poi',
}

interface TagActivityDefinitions {
  route?: { [key: string]: TagCategoryDefinitions };
  poi?: { [key: string]: TagCategoryDefinitions };
}

export interface TagDefinitions {
  [key: string]: TagActivityDefinitions;
}

interface TagActivitiesAndCategories {
  [activity: string]: {
    route?: { [key: string]: string[] };
    poi?: { [key: string]: string[] };
  };
}

export const getTagActivitiesAndCategories = (
  definitions: TagDefinitions
) => {};
