export const getTagsFromObj = (obj: any) => {
  if (!obj) {
    return {};
  }

  if (!obj.extensions) {
    return {};
  }

  if (!obj.extensions.tags) {
    return {};
  }

  return obj.extensions.tags;
};

export const setTagsIntoObj = (obj: any, tags: any) => {
  if (!obj) {
    obj = {};
  }

  if (!obj.extensions) {
    obj.extensions = {};
  }

  obj.extensions.tags = tags;

  return obj;
};

export const getTagValue = (tags: any, tagName: keyof any) => {
  if (Object.hasOwn(tags, tagName)) {
    return tags[tagName];
  }
  return false;
};

export const setTagValue = (tags: any, tagName: keyof any, tagValue: any) => {
  tags[tagName] = tagValue;
};
